/*
   -   +  Gap
iCustom(
   string symbol,       //    (NULL- )
   int timeframe,       // - (0- )
   "iBands.Gap",        //   
   //
   int period,          //  MA
   double deviation     //    
   int bands_shift,        //  MA
   int applied_price,   //  :
                           // 0 - PRICE_CLOSE -   
                           // 1 - PRICE_OPEN -  
                           // 2 - PRICE_HIGH - .
                           // 3 - PRICE_LOW - .
                           // 4 - PRICE_MEDIAN -  ,(high+low)/2
                           // 5 - PRICE_TYPICAL -  ,(high+low+close)/3
                           // 6 - PRICE_WEIGHTED -   ,(high+low+close+close)/4
                           // 7 - 
   int GapPoints,       //      ; 
                           // =0-  
                           // <0-   
   //
   int mode,            // mode -   :
                           // 0- MA
                           // 1-  
                           // 2-  
   int shift            // 
   );

==============

iCustom(NULL,0,"iBands.Gap",BandsPeriod,Method,Shift,Price,Deviation,GapPoints, 0,i); // MA
iCustom(NULL,0,"iBands.Gap",BandsPeriod,Method,Shift,Price,Deviation,GapPoints, 1,i); //  
iCustom(NULL,0,"iBands.Gap",BandsPeriod,Method,Shift,Price,Deviation,GapPoints, 2,i); //  
*/

#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 MediumSeaGreen 
#property indicator_color2 MediumSeaGreen 
#property indicator_color3 MediumSeaGreen
//  
extern int BandsPeriod=20; //  MA
extern double Deviation=2; //   MA 
extern int Shift=0; // 
extern int Price=0; //  
extern int GapPoints=0; //     .
 int GapHours=8; //      (>0)    (<0)
// .
double   MA[], // MA
         Top[], //  
         Bot[], //  
         price[], //    
         base[]; //   

void init() {
   //  
   string short_name="BB("+BandsPeriod+")";
   IndicatorShortName(short_name);   
   //  
   SetIndexBuffer(0,MA); // MA
   SetIndexLabel(0,short_name);
   SetIndexBuffer(1,Top); //  
   short_name=DoubleToStr(Deviation,1);
   SetIndexLabel(1,"Top+"+short_name);
   SetIndexBuffer(2,Bot); //  
   SetIndexLabel(2,"Bot-"+short_name);
   //   
   IndicatorBuffers(5);
   SetIndexBuffer(3,price); // 
   SetIndexBuffer(4,base); // 
  }

void start() {
   //  
   int ic=IndicatorCounted();
   int limit=Bars-ic-1;  
   if(limit>1) limit=Bars-1; 
   //      
   for(int i=limit; i>=0; i--) {
      price[i]=iCustom(NULL,0,"KillGap",GapPoints,GapHours,Price, 0,i); // 
      base[i] =iCustom(NULL,0,"KillGap",GapPoints,GapHours,Price, 1,i); // 
     }
   //     price[]
   for(i=limit; i>=0; i--) {
      double bs=base[i];
      MA[i] =iBandsOnArray(price,Bars,BandsPeriod,Deviation,Shift,0,i)-bs;
      Top[i]=iBandsOnArray(price,Bars,BandsPeriod,Deviation,Shift,1,i)-bs;
      Bot[i]=iBandsOnArray(price,Bars,BandsPeriod,Deviation,Shift,2,i)-bs;
     }
  }

