/*
   -   +  Gap
double iCustom(
   string symbol,       //    (NULL- )
   int timeframe,       // - (0- )
   "iStdDev.Gap",       //   
   //
   int ma_period,       //  MA
   int ma_shift,        //     
   int ma_method,       //  :
                           // 0 - MODE_SMA - 
                           // 1 - MODE_EMA - 
                           // 2 - MODE_SMMA - 
                           // 3 - MODE_LWMA - -
   int applied_price,   //  :
                           // 0 - PRICE_CLOSE -   
                           // 1 - PRICE_OPEN -  
                           // 2 - PRICE_HIGH - .
                           // 3 - PRICE_LOW - .
                           // 4 - PRICE_MEDIAN -  ,(high+low)/2
                           // 5 - PRICE_TYPICAL -  ,(high+low+close)/3
                           // 6 - PRICE_WEIGHTED -   ,(high+low+close+close)/4
                           // 7 - 
   int Gap,             //   .  ; 0-  
   //
   int mode,            // mode -    (0)
   int shift            // 
   ) 

==============

iCustom(NULL,0,"iStdDev.Gap",StDevPeriod,Shift,Method,Price,Gap, 0,i);
*/

#property indicator_separate_window 
#property indicator_buffers 1
#property indicator_color1 LightSeaGreen 
//  
extern int StDevPeriod=20;
extern int Shift=0;
extern int Method=0;
extern int Price=0;
extern int GapPoints=0; //     .
 int GapHours=8; //      (>0)    (<0)
//  
double Ind[]; //  
double price[]; //   

void init() {
   //  
   string short_name="StDev("+StDevPeriod+")";
   IndicatorShortName(short_name);   
   // 
   SetIndexBuffer(0,Ind); //  
   SetIndexLabel(0,short_name);
   IndicatorBuffers(2); //   
   SetIndexBuffer(1,price); 
  }

void start() {
   //  
   int limit=Bars-IndicatorCounted()-1;  
   if(limit>1) limit=Bars-1; 
   //    
   for(int i=limit; i>=0; i--) price[i]=iCustom(NULL,0,"KillGap",GapPoints,GapHours,Price, 0,i); 
   //    
   for(i=limit; i>=0; i--) Ind[i]=iStdDevOnArray(price,Bars,StDevPeriod,Shift,Method,i);
  }

