/*
   -   +  GapPoints
double iCustom(
   string symbol,       //    (NULL- )
   int timeframe,       // - (0- )
   "iATR.Gap",            //   
   //
   int period,          //  ATR
   int GapPoints,       //     .
   //
   int mode,            // mode -    (0)
   int shift            // 
   ) 

==============

iCustom(NULL,0,"iATR.Gap",ATRperiod,GapPoints, 0,i);
*/

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 DodgerBlue
//  
extern int ATRperiod=14; //  ATR
extern int GapPoints=0; //     .
 int GapHours=8; //        
//
int limit;
#include <KillGap.mqh> //  - KillGap 
//  
double Ind[]; //  
double tr[]; //   

void init() {
   //  
   string short_name="ATR("+ATRperiod+")";
   IndicatorShortName(short_name);   
   // 
   IndicatorBuffers(2); 
   SetIndexBuffer(0,Ind); //  
   SetIndexLabel(0,short_name);
   SetIndexDrawBegin(0,ATRperiod);
   SetIndexBuffer(1,tr); //   
  }

void start() {
   //  
   limit=Bars-IndicatorCounted()-1;  
   if(limit>1) limit=Bars-1; 
   //   
   for(int i=limit; i>=0; i--) {
      //   
      double base0=iCustom(NULL,0,"KillGap",GapPoints,GapHours,0,1,i); //  
      double base1=iCustom(NULL,0,"KillGap",GapPoints,GapHours,0,1,i+1); //    .
      double c1=Close[i+1]+base1; //  Close[i]
      double h0=High[i]+base0; //  High[i]
      double l0=Low[i]+base0; //  Low[i]
      //  
      tr[i]=MathMax(h0,c1)-MathMin(l0,c1);
     }
   //   
   for(i=limit; i>=0; i--) Ind[i]=iMAOnArray(tr,Bars,ATRperiod,0,0,i);
  }

